Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class SecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.SecurityException

All Implemented Interfaces:
  Serializable

public class SecurityException
extends ResourceException

A SecurityException indicates error conditions related to the security contract between an application server and a resource adapter. Common types of conditions represented by this exception include: invalid security information - subject, failure to connect, failure to authenticate, access control exception.

See Also:
  Serialized Form

Constructor Summary
`SecurityException()` Create an exception.
`SecurityException(String reason)` Create an exception with a reason.
`SecurityException(String reason, String errorCode)` Create an exception with a reason and an errorCode.
`SecurityException(String reason, Throwable cause)` Create an exception with a reason and cause.
`SecurityException(Throwable cause)` Create an exception with a cause.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityException

    public SecurityException()

  Create an exception.

### SecurityException

    public SecurityException(String reason)

  Create an exception with a reason.

### SecurityException

    public SecurityException(String reason,
                             String errorCode)

  Create an exception with a reason and an errorCode.

### SecurityException

    public SecurityException(String reason,
                             Throwable cause)

  Create an exception with a reason and cause.

Parameters:
  `reason` - the reason
  `cause` - the cause

### SecurityException

    public SecurityException(Throwable cause)

  Create an exception with a cause.

Parameters:
  `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.